Bug 590638 - urlwatch does not use HTTP encoding
Summary: urlwatch does not use HTTP encoding
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: urlwatch   
(Show other bugs)
Version: 12
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 11:48 UTC by Jan ONDREJ
Modified: 2010-05-12 17:58 UTC (History)
1 user (show)

Fixed In Version: urlwatch-1.10-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-12 17:55:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan ONDREJ 2010-05-10 11:48:17 UTC
Description of problem:
Urlwatch 1.9 ignores HTTP encoding (if it's different from HTML META tag encoding). This was reported and fixed in urlwatch 1.10. Please update.

Version-Release number of selected component (if applicable):
urlwatch-1.9-1.fc12.noarch

How reproducible:
always

Steps to Reproduce:
1. for example on this page: http://www.orange.sk/web/prefirmu/telefony/vymeny_uroven_2.html

Actual results:
You need to wait for changes in non-ascii characters, then you will see broken characters.

Expected results:
Proper characters.

Additional information:
HTTP encoding header has precedence before HTML META tag, so this should not be ignored.

Comment 1 Fedora Update System 2010-05-10 18:18:33 UTC
urlwatch-1.10-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/urlwatch-1.10-1.fc13

Comment 2 Fedora Update System 2010-05-10 18:18:40 UTC
urlwatch-1.10-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/urlwatch-1.10-1.fc12

Comment 3 Fedora Update System 2010-05-10 21:50:46 UTC
urlwatch-1.10-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update urlwatch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/urlwatch-1.10-1.fc13

Comment 4 Fedora Update System 2010-05-11 19:45:29 UTC
urlwatch-1.10-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update urlwatch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/urlwatch-1.10-1.fc12

Comment 5 Fedora Update System 2010-05-12 17:55:49 UTC
urlwatch-1.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-05-12 17:58:16 UTC
urlwatch-1.10-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.